|  | Home · All Classes · Modules

# QNetworkConfiguration.StateFlags Class Reference
[QtNetwork module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, StateFlags)

### Special Methods

- StateFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, StateFlags f)
- StateFlags __iand__ (self, int f)
- int __int__ (self)
- StateFlags __invert__ (self)
- StateFlags __ior__ (self, int f)
- StateFlags __ixor__ (self, int f)
- bool __ne__ (self, StateFlags f)
- StateFlags __or__ (self, int f)
- StateFlags __xor__ (self, int f)

## Detailed Description

## Method Documentation

### StateFlags.__init__ (self)

### StateFlags.__init__ (self, int f)

### StateFlags.__init__ (self, StateFlags)

### StateFlags StateFlags.__and__ (self, int f)

### int StateFlags.__bool__ (self)

### bool StateFlags.__eq__ (self, StateFlags f)

### StateFlags StateFlags.__iand__ (self, int f)

### int StateFlags.__int__ (self)

### StateFlags StateFlags.__invert__ (self)

### StateFlags StateFlags.__ior__ (self, int f)

### StateFlags StateFlags.__ixor__ (self, int f)

### bool StateFlags.__ne__ (self, StateFlags f)

### StateFlags StateFlags.__or__ (self, int f)

### StateFlags StateFlags.__xor__ (self, int f)